Skip to main content
POST
/
s
/
ship
/
shipping
/
restore_inventory
Shipping - Restore Inventory
curl --request POST \
  --url https://app.skulabs.com/s/ship/shipping/restore_inventory \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "store_id": "507f1f77bcf86cd799439011",
  "order_number": "<string>",
  "shipment_id": "507f1f77bcf86cd799439011",
  "tracking_number": "<string>",
  "no_refresh": true,
  "carrier_shipment_id": "<string>"
}
'
{
  "_id": "507f1f77bcf86cd799439011",
  "shipments": [
    {
      "_id": "507f1f77bcf86cd799439011",
      "response": {
        "provider": "<string>",
        "service": "<string>",
        "tracking_number": "<string>",
        "shipment_id": "<string>",
        "amount": 123,
        "label_url": "<string>",
        "fees": 123
      },
      "time": "2025-01-15T12:00:00.000Z",
      "state": "shipped",
      "manual_shipment": true,
      "deducted": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
store_id
string
required

Store ID

Example:

"507f1f77bcf86cd799439011"

order_number
string
required

Order number

shipment_id
string

SKULabs shipment ID

Example:

"507f1f77bcf86cd799439011"

tracking_number
string

Tracking number to identify the shipment

no_refresh
boolean

Skip cache refresh after restoring

carrier_shipment_id
string

Carrier-specific shipment ID

Response

Inventory restored and returns updated order shipments

_id
string

Order ID

Example:

"507f1f77bcf86cd799439011"

shipments
object[]

Order shipments